// GMatDim.cs - Klasa za greske: Neusaglasene dimenzije.

namespace Matrica {

  public class GMatDim: System.Exception {

    private Matr mat1, mat2;               // Problematicne matrice.

    public GMatDim (Matr m1, Matr m2) {    // Inicijalizacija.
      mat1 = m1; mat2 = m2; 
    }
    public Matr Mat1 { get { return mat1; } } // Dohvatanje problematicnih
    public Matr Mat2 { get { return mat2; } } //   matrica.

    public override string ToString () {   // Stvaranje tekstualnog opisa.
      return "*** Neusaglasene dimenzije matrica [" +
        mat1.Vrs + "," + mat1.Kol + "] i [" +
        mat2.Vrs + "," + mat2.Kol + "]";
    }
  }
}