// GVekt.cs - Klasa gresaka pri radu s vektorima.

namespace Vektor {
  public class GVekt: System.Exception {
                                         // Kodovi gresaka:
    public const int OPSEG  = 0,         // - neispravan opseg indeksa,
                     INDEKS = 1,         // - indeks izvan opsega,
                     DUZINA = 2;         // - neusaglasene duzine vektora.

    private static string[] por = {      // Tekstovi poruka o greskama.
                                    "Neispravan opseg indeksa!",
                                    "Indeks je izvan opsega!",
                                    "Neusaglasene duzine vektora!"
                                  };

    private int sif;                     // Sifra greske.

    public GVekt (int s) { sif = s; }    // Inicijalizacija.

    public int Sifra { get { return sif; } } // Dohvatanje sifre.
                                             // Tekstualni opis.
    public override string ToString () { return "*** " + por[sif]; }
  }
}