// Greska.cs - Osnovna klasa za greske.

namespace Usluge {

  public class Greska: System.Exception {

    private string por;                          // Tekst poruke.
                                                 // Inicijalizacija:
    public Greska () {}                          // - bez poruke,
    public Greska (string p) { por = p; }        // - s porukom.

    public override string ToString ()           // Tekstualni opis.
      { return "*** " + (por != null ? por : "GRESKA"); }

    protected bool ImaPoruke ()                  // Ima li poruke?
      { return por != null; }
  }
}