// Kvadar1.cs - Klasa kvadara.

namespace Predmeti1 {
  public class Kvadar: Predmet {

    public const char VR = 'K';                        // Vrsta klase.

    private double a, b, c;                            // Ivice.

    public Kvadar (double ss, double aa,               // Inicijalizacija.
                   double bb, double cc): base (ss) {
      a = aa; b = bb; c = cc; 
    }
    public Kvadar (): base (1) { a = b = c = 1;}

    public override char Vr { get { return VR; } }     // Vrsta objekta.

    public override double V {                         // Zapremina.
      get { return a * b * c; } 
    }
    public override void Citaj () {                    // Citanje.
      base.Citaj ();
      a = Usluge.Citaj.Double ();
      b = Usluge.Citaj.Double ();
      c = Usluge.Citaj.Double ();
    }
    public override string ToString () {               // Tekstualni opis.
      return base.ToString() + a + "," + b + "," + c + "]";
    }
  }
}