// Linija.cs - Apstraktna klasa linija u ravni.

namespace Linije {
  public abstract class Linija {
    private static int ukId = 0;      // Poslednje korisceni identifikator.
    private int id = ++ukId;          // Identifikator linije.

    public int Id { get { return id; } }          // Identifikatora linije.

    public abstract double Duzina { get; }        // Duzina linije.

    public override string ToString () {          // Tekstualni opis.
      return id.ToString ();
    }
  }
}