// MetodaIzbora.cs - Klasa za uredjivanje metodom izbora
//                   (Selection Sort).

namespace  Uredjivaci {
  using Usluge;

  public class MetodaIzbora: IUredjivac {

    public void Uredi (IUporediv[] niz) {   // Uredjivanje niza.
      int n = niz.Length;
      for (int i=0; i<n-1; i++)
        for (int j=i+1; j<n; j++)
          if (niz[j].Ispred (niz[i]))
            { IUporediv p = niz[i]; niz[i] = niz[j]; niz[j] = p; }
    }

    public override string ToString ()      // Naziv algoritma.
      { return "Metoda izbora"; }
  }
}