// Poligon.cs - Klasa poligona u ravni.

namespace Linije {
  public class Poligon: Izlomljena {

    public Poligon (Tacka[] niz)          // Inicijalizacija nizom tacaka.
      : base (niz) {}

    public override double Duzina {               // Duzina poligona.
      get {
        return base.Duzina + 
               new Duz(tem[0], tem[tem.Length-1]).Duzina; 
      }
    }
    public override string ToString () {          // Tekstualni opis.
      return Id + "[poligon: " + Tacka.ToString (tem) + "]"; 
    }
  }
}