// Predmet1.cs - Apstraktna klasa predmeta.

namespace Predmeti1 {

  public abstract class Predmet {

    private double sigma;                              // Specificna tezina.

    protected Predmet (double ss) { sigma = ss; }      // Inicijalizacija.

    protected Predmet ()          { sigma = 1;  }

    public abstract char Vr { get; }                   // Vrsta.

    public abstract double V { get; }                  // Zapremina.

    public double Q { get { return V * sigma; } }      // Tezina.

    public virtual void Citaj () {                     // Citanje.
      sigma = Usluge.Citaj.Double (); 
    }
    public override string ToString () {               // Tekstualni opis.
        return Vr + "[" + sigma + "|";
    }
  }
}