// Sfera.cs - Klasa sfera.

using System;

namespace Predmeti1 {

  public class Sfera: Predmet {

    public const char VR = 'S';                        // Vrsta klase.

    private double r;                                  // Poluprecnik.

    public Sfera (double ss, double rr): base (ss) {   // Inicijalizacija.
      r = rr; 
    }
    public Sfera (): base (1) { r = 1; }

    public override char Vr { get { return VR; } }     // Vrsta objekta.

    public override double V {                         // Zapremina.
      get {  return 4.0 / 3 * r*r*r * Math.PI; }
    }

    public override void Citaj () {                    // Citanje.
        base.Citaj (); r = Usluge.Citaj.Double ();
    }
    public override string ToString () {               // Tekstualni opis.
        return base.ToString() + r + "]";
    }
  }
}