// Sfera2.cs - Klasa sfera.

namespace Predmeti2 {
  public class Sfera: Telo {

    private double r;                      // Poluprecnik.

    public Sfera (double sigma, double r)  // Inicijalizacija.
      : base (sigma) { this.r = r; }

    public override sealed double V {      // Zapremina.
      get { return 4.0 / 3 * r*r*r * System.Math.PI; } 
    }

    public override string ToString () {   // Tekstualni opis.
      return base.ToString () + " " + r;
    }
  }
}