// Srednja.cs - Klasa srednje vrednosti.

namespace Statistika {
  public class Srednja: IPokazatelj {
    private int n;                              // Broj uzoraka.
    private double s;                           // Zbir uzoraka.

    public void Ispocetka () { s = n = 0; }     // Pocetak analize.

    public void Azuriraj (double broj)          // Akumuliranje podataka.
      {  s += broj; n++; }

    public double Uzmi {                        // Dohvatanje rezultata.
      get { return n>0 ? s/n : System.Double.NaN; }
    }

    public override string ToString ()          // Naziv pokazatelja.
      { return "srednja vrednost"; }
  }
}