// Tabela.cs - Tabeliranje funkcije jednog argumenta.

using System;

public delegate double Fun (double x); // Delegat funkcija za tabeliranje.

public class Tabela {                  // Tabeliranje funkcije.
  public static void Radi (Fun f, double xMin, double xMax, double dX) {
    Console.WriteLine ("      x       f(x)");
    for (int i=0; i<20; i++) Console.Write ('=');
    Console.WriteLine ();
    for (double x=xMin; x<=xMax; x+=dX)
      Console.WriteLine ("{0,10:f3}{1,10:f3}", x, f(x));
  }
}