// Telo.cs - Apstraktna klasa tela.

namespace Predmeti2 {
  public abstract class Telo: Predmet {

    protected double sigma;                // Specificna tezina.

    public Telo (double s) { sigma = s; }  // Inicijalizacija.

    public override sealed double Q {      // Tezina.
      get { return sigma * V; }
    } 
    public override string ToString () {   // Tekstualni opis.
      return base.ToString () + " " + sigma; 
    }
  }
}