// Brojac.cs - Klasa brojaca uzoraka.

namespace Statistika {
  public class Brojac: IPokazatelj {
    private int n;                              // Broj uzoraka.

    public void Ispocetka () { n = 0; }         // Pocetak analize.

    public void Azuriraj (double broj) { n++; } // Akumuliranje podataka.

    public double Uzmi { get {return n; } }     // Dohvatanje rezultata.

    public override string ToString ()          // Naziv pokazatelja.
      { return "broj uzoraka"; }
  }
}