// Duz.cs - Klasa duzi u ravni.

using System;

namespace Linije {
  public class Duz: Linija {
    private Tacka A, B;                             // Krajnje tacke.

    public Duz (Tacka P, Tacka Q) { A = P; B = Q; } // Inicijalizacija.
    public Duz () { A = new Tacka (-1,-1); B = new Tacka (1,1); }

    public override double Duzina {                 // Duzina duzi.
      get {
        return Math.Sqrt (Math.Pow(A.X-B.X,2) +
                          Math.Pow(A.Y-B.Y,2));
      }
    }
    public override string ToString () {            // Tekstualni opis.
        return base.ToString() + "[duz: A" + A + ", B" + B + "]";
    }
  }
}