// GMatInd.cs - Klasa za greske: Nedozvoljeni indeksi.

namespace Matrica {

  public class GMatInd: System.Exception {

    private int i, j;                   // Nedozvoljeni indeksi.

    public GMatInd (int ii, int jj) { i = ii; j = jj; } // Inicijalizacija.

    public int I { get { return i; } }  // Dohvatanje nedozvoljenih indeksa.
    public int J { get { return j; } }

    public override string ToString() { // Stvaranje tekstualnog opisa..
      return "*** Nedozvoljeni indeksi [" + i + "," + j + "]"; }
  }
}