// GVerInd.cs - Klasa za greske: Nedozvoljen indeks u veriznom razlomku.

namespace Verizni {

  public class GVerInd: System.Exception {

    private int n, i;            // Red razlomka i nedozvoljeni indeks.

    public GVerInd (int n, int i) {              // Inicijalizacija.
      this.n = n; this.i = i;
    }
    public int Red { get { return n; } }         // Dohvatanje polja.
    public int Ind { get { return i; } }

    public override string ToString () {         // Tekstualni oblik.
      return "GRESKA: Nedozvoljen indeks " + i +
        " u veriznom razlomku reda " + n;
    }
  }
}