// IPokazatelj.cs - Interfejs sastavljaca statistickog pokazatelja.

namespace Statistika {
  public interface IPokazatelj {
    void Ispocetka ();           // Pocetak analize.
    void Azuriraj (double broj); // Akumuliranje podataka.
    double Uzmi { get; }         // Dohvatanje rezultata.
    string ToString ();          // Naziv pokazatelja.
  }
}