// Izbor.cs - Klasa uredjivaca metodom izbora.

namespace Uredjivanje {
  using System.Threading;

  public class Izbor: Uredjivac {

    public Izbor (Casovnik cas): base (cas) {}       // Inicijalizacija.

    protected override void radi (IUporediv[] niz) { // Uredjivanje.
      for (int i=0; i<niz.Length-1; i++)
        for (int j=i+1; j<niz.Length; j++) {
          if (niz[j].Manji(niz[i])) {
            IUporediv u = niz[i]; niz[i] = niz[j]; niz[j] = u; }
          Thread.Sleep (1);
        }
    }
  }
}