// NizKompl.cs - Klasa nizova kompleksnih brojeva.

using System;

public class NizKompl {
  private Kompl[] niz;                                // Sadrzani niz.

  public NizKompl (int n) {                           // Konstruktori.
    niz = new Kompl [n]; 
  }
  public NizKompl (): this (10) {}

  public int Duz {                                    // Dohvatanje duzine:
    get { return niz.Length; }                        // - k = nk.Duz
  }
  public Kompl this[int ind] {                        // Indeksiranje:
    get { return niz[ind]; }                          // - z = nk[ind]
    set { niz[ind] = value; }                         // - nk[ind] = z
  }
  public NizKompl Kopija () {                         // Kopiranje:
    NizKompl nk = (NizKompl)MemberwiseClone ();       // - plitka kopija,
    nk.niz = new Kompl [Duz];                         // - duboka kopija.
    for (int i=0; i<niz.Length; nk.niz[i]=niz[i++]);
    return nk;
  }
}