// Tacka2.cs - Struktura tacaka u ravni.

using System;
using Usluge;

public struct Tacka2 {

  private double x, y;                       // Koordinate.

  public Tacka2 (double a) { x = a; y = 0; } // Konstruktori.
  public Tacka2 (double a, double b) { x = a; y = b; }
  // Ne moze mez argumenata - podrazumevano uvek postoji.

  public double X () { return x; }           // Apscisa.

  public double Y () { return y; }           // Ordinata.

  public double Poteg () {                   // Rastojanje od (0,0).
      return Math.Sqrt (x*x + y*y); }

  public double Rastojanje (Tacka2 t) {      // Rastojanje od tacke.
      return Math.Sqrt (Math.Pow(x-t.x,2) + Math.Pow(y-t.y,2)); }

  public static Tacka2 Citaj () {            // Citanje tacke.
      return new Tacka2 (Usluge.Citaj.Double (), Usluge.Citaj.Double ()); }

  public void Pisi () {                      // Pisanje tacke.
      Console.Write ("(" + x + "," + y + ")"); }

  static void Main () {                      // Ispitivanje klase tacaka.
    Console.Write ("t1? ");
    Tacka2 t1 = new Tacka2 (Usluge.Citaj.Double (), Usluge.Citaj.Double ());
    Console.Write ("t2? ");
    Tacka2 t2 = Tacka2.Citaj ();
    Console.Write ("t1=(" + t1.X() + "," + t1.Y () + "), t2=");
    t2.Pisi (); Console.WriteLine ();
    Console.WriteLine ("Rastojanje=" + t1.Rastojanje (t2));
  }
}