// Tacka3.cs - Struktura tacaka u ravni.

using System.Text;

namespace Linije {
  public struct Tacka {
    private double x, y;                          // Koordinate.

    public Tacka (double xx, double yy) { x = xx; y = yy; } // Inicijali-
    public Tacka (double xx) { x = xx; y = 0; }             //   zacija.

    public double X { get { return x; } }         // Koordinate.
    public double Y { get { return y; } }

    public override string ToString () {          // Tekstualni opis.
        return "(" + x + "," + y + ")";
    }
    public static string ToString (Tacka[] niz) { // Tekstualni opis
      StringBuilder s = new StringBuilder ();     //   niza tacaka.
      for (int i=0; i<niz.Length; i++) {
        if (i > 0) s.Append (',');
        s.Append (niz[i]);
      }
      return s.ToString ();
    }
  }
}