// Uredjivac.cs - Klasa apstraktnih uredjivaca.

namespace Uredjivanje {

  public abstract class Uredjivac {
    private Casovnik cas;               // Sadrzani casovnik.

    public Uredjivac (Casovnik cas) {   // Inicijalizacija.
      this.cas = cas; }

    public void Uredi (IUporediv[] u) { // Organizovanje uredjivanja.
      cas.Kreni ();
      radi (u);
      cas.Stani ();
    }
    protected abstract void radi (IUporediv[] niz); // Uredjivanje.
  }
}
