// Valjak.cs - Klasa valjaka.

using System;

public class Valjak {

  private double r, h;                             // Poluprecnik i visina.
  
  public Valjak (double rr, double hh) {           // Inicijalizacija.
    r = rr; h = hh; 
  }
  public Valjak () { r = h = 1; }

  public double R { get {return r; } }             // Poluprecnik.

  public double H { get { return h; } }            // Visina.

  public double V {                                // Zapremina.
    get { return r * r * Math.PI * h; } 
  }
  public override string ToString () {             // Tekstualni opis.
      return "[" + r + "," + h + "]"; 
  }
}